TeachTxtParserInternal::State Struct Reference

Internal: the state of a TeachTxtParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
MWAWDocument::Type | m_type
| the file type
std::map< long, MWAWFont > | m_posFontMap
| the map of id -> font
std::map< int, MWAWEntry > | m_idPictEntryMap
| a map id->pictEntry
int | m_numberSpacesForTab
| number of space to used to replace tab (0: means keep tabs )
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document

## Detailed Description

Internal: the state of a TeachTxtParser.

## Constructor & Destructor Documentation

## ◆ State()

TeachTxtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int TeachTxtParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_idPictEntryMap

std::map<int,MWAWEntry> TeachTxtParserInternal::State::m_idPictEntryMap

a map id->pictEntry

Referenced by State().

## ◆ m_numberSpacesForTab

int TeachTxtParserInternal::State::m_numberSpacesForTab

number of space to used to replace tab (0: means keep tabs )

Referenced by State().

## ◆ m_numPages

int TeachTxtParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_posFontMap

std::map<long, MWAWFont > TeachTxtParserInternal::State::m_posFontMap

the map of id -> font

Referenced by State().

## ◆ m_type

MWAWDocument::Type TeachTxtParserInternal::State::m_type

the file type

Referenced by State().

The documentation for this struct was generated from the following file:

- TeachTxtParser.cxx